Name: 		hamstersimulator-light
Summary: 	Hamstersimulator light a stripped down version of the hamster simulator
Version: 	2.0
Release: 	lp150.5.1
License: 	GPL
BuildArch:	noarch
Group: 		Development/Tools/IDE
Source: 	%{name}-%{version}.zip
Source1: 	%{name}.desktop
Source2: 	%{name}.png
Source3: 	solist.properties
Source4: 	%{name}
Source5:	%{name}.1.gz
Prefix: 	/usr
Url: 		http://www.java-hamster-modell.de
BuildRequires:	unzip
%if %{defined suse_version}
BuildRequires:	fdupes
%endif
Requires: 	java java-sdk
%if %{defined centos_version} || %{defined sles_version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
%endif

%description
Hamstersimulator light is a stripped down version of the hamster simulator
by D. Boles.

%prep
%setup -n %{name}-%{version}

%build
# nichts zu tun

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -aR  * %{buildroot}%{_datadir}/%{name}

install -D %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D %{SOURCE3} %{buildroot}%{_datadir}/%{name}/solist.properties
install -D %{SOURCE4} %{buildroot}%{prefix}/bin/%{name}
install -D %{SOURCE5} %{buildroot}%{_datadir}/man/man1/%{name}.1.gz
%if %{defined suse_version}
%fdupes %{buildroot}%{_datadir}/%{name}
%endif

export NO_BRP_CHECK_BYTECODE_VERSION=true

%files
%defattr(755,root,root,0755)
%attr(644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(644,root,root) %{_datadir}/pixmaps/%{name}.png
%attr(644,root,root) %{_datadir}/man/man1/%{name}.1.gz
%config %attr(644,root,root) %{_datadir}/%{name}/solist.properties
%{_datadir}/%{name}
%{prefix}/bin/%{name}

%changelog
